petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGetCostIntegral

Returns the values of the integral term in the cost functions. It is valid to call the routine after a backward run.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetCostIntegral(TS ts,Vec *v)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

v -the vector containing the integrals for each cost function

### See Also

TSSetCostIntegrand()

### Keywords

TS, sensitivity analysis

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages